function generateGraph(chartId, pm) {
  var canvas = document.getElementById(chartId);
  var ctx = canvas.getContext('2d');

  var data = [pm];
  var labels = ['PM Level'];
  var barWidth = 30;
  var barSpacing = 10;
  var maxValue = Math.max(...data);

  canvas.width = (barWidth + barSpacing) * data.length;
  canvas.height = maxValue;

  for (var i = 0; i < data.length; i++) {
    var x = i * (barWidth + barSpacing);
    var y = canvas.height - data[i];

    ctx.fillStyle = 'steelblue';
    ctx.fillRect(x, y, barWidth, data[i]);

    ctx.fillStyle = 'black';
    ctx.fillText(labels[i], x, canvas.height + 15);
  }
}
